edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.mapper

## Class NoopPartOfSpeechTagsMapper

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.mapper.AbstractPartOfSpeechTagsMapper
    - - edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.mapper.NoopPartOfSpeechTagsMapper

- All Implemented Interfaces:
    PartOfSpeechTagsMapper, IsCloseable
  Direct Known Subclasses:
    DefaultPartOfSpeechTagsMapper

      public class NoopPartOfSpeechTagsMapper
      extends AbstractPartOfSpeechTagsMapper
      implements PartOfSpeechTagsMapper

  NoopPartOfSpeechTagsMapper: default returns original tag unchanged.

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.mapper.AbstractPartOfSpeechTagsMapper

      `destinationTagSeparator, partOfSpeechTagsMap, sourceTagSeparator, unknownTag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoopPartOfSpeechTagsMapper()` Create noop part of speech tags mapper.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getTag(java.lang.String spelling, java.lang.String sourceTag)` Get destination part of speech tag for a source part of speech tag.

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.mapper.AbstractPartOfSpeechTagsMapper

      `toString`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.utils.IsCloseable

      `close`

- - ### Constructor Detail

    - #### NoopPartOfSpeechTagsMapper

          public NoopPartOfSpeechTagsMapper()
                                     throws java.io.IOException

      Create noop part of speech tags mapper.
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getTag

          public java.lang.String getTag(java.lang.String spelling,
                                java.lang.String sourceTag)

      Get destination part of speech tag for a source part of speech tag.
      Specified by:
        `getTag` in interface `PartOfSpeechTagsMapper`
      Overrides:
        `getTag` in class `AbstractPartOfSpeechTagsMapper`
      Parameters:
        `spelling` - Spelling.
        `sourceTag` - Source tag name.
      Returns:
        Destination tag name.

        This implementation returns the original tag unchanged.